> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all abandoned carts

> List all abandoned carts



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/abandoned-carts
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/abandoned-carts:
    parameters: []
    get:
      tags:
        - Orders
      summary: List all abandoned carts
      description: List all abandoned carts
      operationId: get-abandoned-carts
      parameters:
        - name: customer_id
          in: query
          description: customer id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      abandoned_carts:
                        type: array
                        items:
                          $ref: '#/components/schemas/AbandonedCart'
                          type: object
                    type: object
components:
  schemas:
    AbandonedCart:
      title: AbandonedCart
      type: object
      properties:
        id:
          type: integer
        active:
          type: boolean
        cart_items_count:
          type: integer
        email:
          type: string
        phone:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        is_promotion_applied:
          type: boolean
        promotion_discount_percent:
          type: number
        promotion_discount_amount:
          type: number
        is_coupon_applied:
          type: boolean
        coupon_code:
          type: string
        coupon_discount_percent:
          type: number
        coupon_discount_amount:
          type: number
        loyalty_point_redeemed:
          type: number
        loyalty_point_earned:
          type: number
        credit_balance_used:
          type: number
        currency:
          $ref: '#/components/schemas/Currency'
        metadata:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
        cart_items:
          type: array
          items:
            $ref: '#/components/schemas/AbandonedCartItem'
        expires_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        subtotal:
          type: number
        item_total_tax:
          type: number
        subtotal_including_tax:
          type: number
        shipping_amount:
          type: number
        shipping_total_tax:
          type: number
        shipping_amount_including_tax:
          type: number
        total_tax:
          type: number
        grand_total:
          type: number
        to_be_paid:
          type: number
    Currency:
      title: Currency
      type: object
      properties:
        name:
          type: string
        code:
          type: string
        symbol:
          type: string
      x-tags:
        - Store
    AbandonedCartItem:
      title: AbandonedCartItem
      type: object
      properties:
        product_id:
          type: string
        product_name:
          type: string
        product_image_url:
          type: string
        sku:
          type: string
        product_variant_id:
          type: string
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
        listing_price:
          type: number
        selling_price:
          type: number
        selling_price_excluding_tax:
          type: number
        tax_rate:
          type: number
        tax_type:
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````